@import url('https://fonts.googleapis.com/css?family=Poppins:400,500,600,700&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}
html,body{
    display: grid;
    min-height: 100%;
    width: 100%;
    place-items: center;
    background: #f2f2f2;
    /* background: linear-gradient(-135deg, #c850c0, #4158d0); */
}
::selection{
    background: #4158d0;
    color: #fff;
}
.wrapper{
    width: 100%;
    max-width: 400px;
    background: #fff;
    border-radius: 15px;
    box-shadow: 0px 15px 20px rgba(0,0,0,0.1);
}
.wrapper .title{
    font-size: 35px;
    font-weight: 600;
    text-align: center;
    line-height: 90px;
    color: #fff;
    user-select: none;
    border-radius: 15px 15px 0 0;
    background: linear-gradient(-60deg, #ff5858 0%, #f09819 100%);
}
.field-wrapper {
    margin: 25px 0;
}
.wrapper form{
    padding: 10px 30px;
}
.wrapper form .field{
    height: 50px;
    width: 100%;
    margin-top: 20px;
    position: relative;
}
.wrapper form .field input,
.wrapper form .field select{
    height: 100%;
    width: 100%;
    outline: none;
    padding-left: 20px;
    border: 1px solid lightgrey;
    border-radius: 25px;
    transition: all 0.3s ease;
    letter-spacing: 2px;
}
.wrapper form .field input:focus,
form .field input:valid,
form .field input:disabled,
.wrapper form .field select:focus,
form .field select:valid{
    border-color: #f09819;
}
.wrapper form .field label{
    position: absolute;
    top: 50%;
    left: 20px;
    color: #999999;
    font-weight: 400;
    font-size: 17px;
    pointer-events: none;
    transform: translateY(-50%);
    transition: all 0.3s ease;
}
form .field input:focus ~ label,
form .field input:valid ~ label,
form .field input:disabled ~ label,
form .field select:focus ~ label,
form .field select:valid ~ label{
    top: 0%;
    font-size: 16px;
    color: #f09819;
    background: #fff;
    transform: translateY(-50%);
}
form .content{
    display: flex;
    width: 100%;
    height: 50px;
    font-size: 16px;
    align-items: center;
    justify-content: space-around;
}
form .content .checkbox{
    display: flex;
    align-items: center;
    justify-content: center;
}
form .content input{
    width: 15px;
    height: 15px;
    background: red;
}
form .content label{
    color: #262626;
    user-select: none;
    padding-left: 5px;
}
form .content .pass-link{
    color: "";
}
form .field input[type="button"]{
    color: #fff;
    border: none;
    padding-left: 0;
    font-size: 20px;
    font-weight: 500;
    cursor: pointer;
    background: linear-gradient(-60deg, #ff5858 0%, #f09819 100%);
    transition: all 0.3s ease;
}
form .field input[type="button"]:active{
    transform: scale(0.95);
}
form .signup-link{
    color: #262626;
    margin-top: 20px;
    text-align: center;
}
form .pass-link a,
form .signup-link a{
    color: #4158d0;
    text-decoration: none;
}
form .pass-link a:hover,
form .signup-link a:hover{
    text-decoration: underline;
}
.radio-inputs {
    margin-top: 20px;
    position: relative;
    display: flex;
    flex-wrap: wrap;
    border-radius: 0.5rem;
    background-color: #EEE;
    box-sizing: border-box;
    box-shadow: 0 0 0px 1px rgba(0, 0, 0, 0.06);
    padding: 0.25rem;
    width: inherit;
    font-size: 14px;
}

.radio-inputs .radio {
    flex: 1 1 auto;
    text-align: center;
}

.radio-inputs .radio input {
    display: none;
}

.radio-inputs .radio .name {
    display: flex;
    cursor: pointer;
    align-items: center;
    justify-content: center;
    border-radius: 0.5rem;
    border: none;
    padding: .5rem 0;
    color: rgba(51, 65, 85, 1);
    transition: all .15s ease-in-out;
}

.radio-inputs .radio input:checked + .name {
    background-color: #fff;
    font-weight: 600;
}
.content{
    display: flex;
    align-items: center;
    justify-content: center;
}
.content{
    width: 100%;
    justify-content: space-between;
}
.content .column{
    padding: 0 10px;
    border-radius: 5px;
    border: 1px solid #bfbfbf;
    width: calc(100% / 2 - 5px);
}
.column select{
    width: 100%;
    height: 50px;
    border: none;
    outline: none;
    background: none;
}

.alert {
    background-color: #dd4b39;
    color: #fff;
    border-color: #d73925;
    border-radius: 3px;
    margin-bottom: 20px;
    border: 1px solid transparent;
}

.alert>ul {
    margin-bottom: 0;
    margin-top: 0;
    display: block;
    list-style-type: disc;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    padding-inline-start: 40px;
}

.success {
    background-color: #1ea634;
    color: #fff;
    border-color: #1a7329;
    border-radius: 3px;
    margin-bottom: 20px;
    border: 1px solid transparent;
}

.success>ul {
    margin-bottom: 0;
    margin-top: 0;
    display: block;
    list-style-type: disc;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    padding-inline-start: 40px;
}

.hidden {
    display: none;
}

.centered {
    display: none; 
    position: absolute; 
    left: 50%; 
    top: 50%; 
    transform: translate(-50%, -50%); 
    text-align: center; 
    z-index: 2; 
    width: 100%; 
    background-color: rgba(255,255,255,0.7); 
    justify-content: center;
    height: 100vh;
}

.showPassword {
    margin: 10px;
}

#showPwCheckBox {
    accent-color: #02055A;
    width: 15px;
    height: 15px;
    margin-right: 5px;
    margin-left: 2px;
}